$(function ()
{

	// Dotify sur les noms de produit dans le tableau
	cartDotify();

	$(window).resize(cartDotify);

	// On fait remonter le schmip 
	$('.ShippingTotal').css({
		'top' : -$('.CartTable-total').innerHeight(),
		'height' : $('.ShippingTotal').innerHeight()-$('.CartTable-total').innerHeight()
		
	});

	//
	$('.Btn-green').click(function(event){
		event.preventDefault();
		//$('.InputContainer_input.InputText').addClass('InputText-error noCross');
		//$('.InputText_errorLabel').css('display', 'inline-block');
	});

	function cartDotify(){
		$('.ProductInfo_name').each(function() {
			dotify($(this), 2);
		});

		$('.productTitle').each(function() {
			dotify($(this), 2);
		});

		$('.productDescription').each(function() {
			dotify($(this), 4);
		});
	}

	function getNbLines(element){
		var height = element.height();
		var lineHeight = parseInt(element.css('line-height'), 10);
		return height / lineHeight;
	}

	function dotify(element, lines){
		// Réduction du texte
		// Line height du text
		var lineHeight = parseInt(element.css('line-height'), 10);
		if(isNaN(lineHeight)){
			console.log('Line-height non fixé');
		}
		// Hauteur de la div
		var divHeight = element.height();
		// Nombre de lignes résultant
		var nbLines = getNbLines(element);

		//console.log('lines', lines);
		//console.log('nbLines', nbLines);

		if(nbLines <= lines) return;

		// Heiht à fixer
		var fixedHeight = lines * lineHeight;
		// On dotdotdot
		element.css({
			'height': fixedHeight,
			'overflow': 'hidden'
		});
		element.dotdotdot({
			ellipsis : '...',
			wrap : 'word',
			height: fixedHeight+'px',
		});
	}
	
});